import { defineStore } from 'pinia'

export const useDailyStore = defineStore('daily', {
  state: () => ({
    userdailyinspection: [],
    base64_1: '',
    base64_2: '',
  }),
  actions: {
    dailyinspectionList(data) {
      this.userdailyinspection = [...data]
    },
    change_base64_1(data) {
      this.base64_1 = data
    },
    change_base64_2(data) {
      this.base64_2 = data
    },
    clearSignData() {
      this.base64_1 = ''
      this.base64_2 = ''
    },

  },
  getters: {
    getdailyinspection(state) {
      return state.userdailyinspection
    },
    get_base64_1(state) {
      return state.base64_1
    },
    get_base64_2(state) {
      return state.base64_2
    },

  }
})
